<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Santa Inc</title>
    <style>
      * {
        padding: 0;
        margin: 0;
        box-sizing: border-box;
      }
      html,
      body {
        height: 100%;
      }
      ul {
        list-style: none;
      }
      .wrapper {
        font-family: "arial", sans-serif;
        font-size: 16px;
        color: #000;
        line-height: 1.4;
        background-color: #fff;
        display: flex;
        min-height: 100%;
      }
      .nav-wrap {
        background: #0b5c2e;
        color: #fff;
        padding: 40px 10px 10px;
        text-align: center;
        display: flex;
        flex-direction: column;
        flex: 0 0 30%;
      }
      .contain-wrap {
        flex: 1;
      }
      .nav-wrap img.santa {
        max-width: 300px;
        width: 100%;
        height: auto;
        vertical-align: bottom;
        display: block;
        margin: 0 auto 40px;
      }
      .nav-wrap h1,
      h2 {
        font-size: 30px;
        font-style: italic;
        color: #b12628;
      }

      .nav-wrap p {
        font-size: 12px;
      }
      .nav-wrap p.ver {
        text-align: right;
      }

      .nav-wrap p.desc {
        margin-top: auto;
      }
      .nav-list li {
        display: flex;
        align-items: center;
        font-size: 20px;
        margin-bottom: 5px;
        cursor: pointer;
      }
      .nav-list li:hover .list-text {
        text-decoration: underline;
      }
      .nav-list li:nth-child(2),
      .nav-list li:nth-child(3) {
        margin-bottom: 30px;
      }

      .nav-list .icon,
      .nav-list .icon img {
        width: 24px;
        height: auto;
        vertical-align: bottom;
        margin-right: 10px;
      }
      .contain-wrap header {
        text-align: right;
      }
      .contain-wrap header img {
        transform: scaleX(-1);
        max-width: 500px;
        width: 100%;
        height: auto;
      }
      .grid {
        max-width: 800px;
        margin: 0 auto;
        padding: 10px;
      }
      .flex-table {
        display: flex;
        margin-bottom: 10px;
        min-height: 500px;
      }

      .flex-table h3,
      .flex-table p {
        font-size: 16px;
        padding: 5px;
        border-bottom: 1px solid #000;
      }

      .flex-table p:nth-of-type(odd) {
        background-color: #efb4b4;
      }

      .col-1,
      .col-2,
      .col-3,
      .col-4 {
        flex: 1;
        border-right: 1px solid #000;
      }

      .col-4,
      .flex-table p {
        border: 0;
      }
      .col-3 {
        flex: 0 0 40%;
      }

      .pagination {
        display: flex;
        align-items: center;
        justify-content: space-around;
        font-size: 12px;
        max-width: 300px;
        color: #639e7c;
      }
      .container {
        display: inline-block;
        cursor: pointer;
      }
      .bar1,
      .bar2,
      .bar3 {
        width: 22px;
        height: 3px;
        background-color: #fff;
        margin: 4px 0;
        transition: 0.4s;
      }
      .change .bar1 {
        -webkit-transform: rotate(-45deg) translate(-5px, 6px);
        transform: rotate(-45deg) translate(-5px, 6px);
      }
      .change .bar2 {
        opacity: 0;
      }
      .change .bar3 {
        -webkit-transform: rotate(45deg) translate(-3px, -4px);
        transform: rotate(45deg) translate(-3px, -4px);
      }
      @media screen and (max-width: 900px) {
        .wrapper {
          flex-direction: column;
        }
        .nav-wrap {
          padding: 10px;
          flex-direction: row;
          justify-content: space-between;
          align-items: center;
        }
        .col-3 {
          flex: 0 0 auto;
        }
        .flex-table p:nth-of-type(odd) {
          display: none;
        }
        .nav-wrap img.santa,
        .nav-wrap p.desc,
        .contain-wrap header,
        .nav-list {
          display: none;
        }
        .nav-wrap h1 {
          text-align: right;
        }
        .nav-list li:nth-child(2),
        .nav-list li:nth-child(3) {
          margin-bottom: 5px;
        }
        .nav-list {
          position: absolute;
          left: 0;
          top: 79px;
          right: 0;
          background: #0b5c2e;
          padding: 0 10px;
        }
      }
      @media only screen and (min-width: 900px) {
        .nav-list {
          display: block !important;
        }
        .container {
          display: none !important;
        }
      }
    </style>
  </head>
  <body>
    <div class="wrapper">
      <section class="nav-wrap">
        <div class="container" onclick="myFunction(this)">
          <div class="bar1"></div>
          <div class="bar2"></div>
          <div class="bar3"></div>
        </div>
        <div>
          <img src="./santa.png" alt="santa" class="santa" />
          <h1>Santa inc</h1>
          <p class="ver">v.4.1.2</p>
          <ul class="nav-list">
            <li>
              <span class="icon">
                <img src="./icons8-game-64.png" />
              </span>
              <span class="list-text">Toys Factory</span>
            </li>
            <li>
              <span class="icon">
                <img src="./icons8-delivery-24.png" />
              </span>
              <span class="list-text">Delivery</span>
            </li>
            <li>
              <span class="icon">
                <img src="./icons8-legal-64.png" />
              </span>
              <span class="list-text">Legal</span>
            </li>
            <li>
              <span class="icon">
                <img src="./icons8-game-64.png" />
              </span>
              <span class="list-text">Disconnect</span>
            </li>
          </ul>
        </div>
        <p class="desc">All rights reserved</p>
      </section>
      <section class="contain-wrap">
        <header>
          <img src="./leafs.png" />
        </header>
        <div class="grid">
          <h2>Delivery List</h2>
          <div class="flex-table">
            <div class="col-1">
              <h3>First Name</h3>
              <p>william</p>
              <p>william</p>
              <p>william</p>
            </div>
            <div class="col-2">
              <h3>Last Name</h3>
              <p>shakespear</p>
              <p>shakespear</p>
              <p>shakespear</p>
            </div>
            <div class="col-3">
              <h3>Address</h3>
              <p>england</p>
              <p>england</p>
              <p>england</p>
            </div>
            <div class="col-4">
              <h3>wishes</h3>
              <p>books</p>
              <p>books</p>
              <p>books</p>
            </div>
          </div>
          <ul class="pagination">
            <li>&#8592;</li>
            <li>1</li>
            <li>2</li>
            <li>3</li>
            <li>4</li>
            <li>5</li>
            <li>6</li>
            <li>&#8594;</li>
          </ul>
        </div>
      </section>
    </div>
    <script>
      const data = [
        {
          firstname: "william",
          lastname: "shakespeare",
          address: "england",
          wishes: "Books",
        },
        {
          firstname: "JRR",
          lastname: "Tolkien",
          address: "england",
          wishes: "Pen",
        },
        {
          firstname: "charles",
          lastname: "dickens",
          address: "england",
          wishes: "teddbears",
        },
        {
          firstname: "agatha",
          lastname: "christle",
          address: "england",
          wishes: "knife",
        },
      ];

      const updatelist = function (type, col) {
        const elem = document.querySelector(`.${col}`);
        const markup1 = `
    <h3>${type}</h3>
    ${data
      .map((el) => {
        return `<p>${el[type.toLowerCase().split(" ").join("")]}</p>`;
      })
      .join("")}
    `;
        elem.innerHTML = "";
        elem.insertAdjacentHTML("beforeend", markup1);
      };

      window.addEventListener("load", function () {
        updatelist("First Name", "col-1");
        updatelist("Last Name", "col-2");
        updatelist("Address", "col-3");
        updatelist("Wishes", "col-4");
      });

      function myFunction(x) {
        x.classList.toggle("change");
        let menu = document.querySelector(".nav-list");
        if (menu.style.display === "block") {
          menu.style.display = "none";
        } else {
          menu.style.display = "block";
        }
      }
    </script>
  </body>
</html>
